Project

General

Profile

Bug #11912

DDU: Traceback: KeyError: 'general'

Added by Michal Nowak about 1 year ago. Updated about 1 year ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
Drivers
Target version:
Start date:
Due date:
% Done:

0%

Estimated time:
Difficulty:
Medium
Tags:

Description

Running ddu manually or via Install Additional Drivers option in the installation menu of the 20191102 Text image fails with:

Traceback (most recent call last):
  File "/usr/lib/python3.5/configparser.py", line 1135, in _unify_values
    sectiondict = self._sections[section]
KeyError: 'general'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/ddu-text", line 39, in <module>
    ABSPATH = DDUCONFIG.get('general','abspath')
  File "/usr/lib/python3.5/configparser.py", line 778, in get
    d = self._unify_values(section, vars)
  File "/usr/lib/python3.5/configparser.py", line 1138, in _unify_values
    raise NoSectionError(section)
configparser.NoSectionError: No section: 'general'
#1

Updated by Michal Nowak about 1 year ago

By ddu I meant ddu-text.

Also available in: Atom PDF